Subject: Re: bug#53644: 29.0.50; xref-search-program breaks if programm not installed on a remote host

From: Dmitry Gutov <[email-masked]>
Date: Sat, 12 Feb 2022 03:04:02 +0200

On 09.02.2022 11:17, Philip Kaludercic wrote:
> In that case, I'd propose this patch:

Thanks!

Could you extract the detection logic to outside of the main function? I 
think the result would be easier to read. The diff, too.

And use a simpler test: (only when the host is remote) write some text 
to a file in the temp dir, then search through it. Only doing it once, 
of course, when the connection-local value is initialized.

I'd prefer an even simpler test than that, but I guess the current 
structure of xref-search-program-alist doesn't give us specific values 
to call 'executable-find' on. And that's probably fine.